plot.lisst {oce} | R Documentation

## Plot LISST data

### Description

Plot `LISST` data

### Usage

    ## S4 method for signature 'lisst'
    plot(x, which=c(16, 37, 38), tformat, debug=getOption("oceDebug"), ...)

### Arguments

`x` | a `lisst` object, e.g. as read by `read.lisst`.
`which` | list of desired plot types. These are graphed in panels running down from the top of the page. See “Details” for the meanings of various values of `which`.
`tformat` | optional argument passed to `oce.plot.ts`, for plot types that call that function. (See `strptime` for the format used.)
`debug` | a flag that turns on debugging. The value indicates the depth within the call stack to which debugging applies.
`...` | optional arguments passed to plotting functions.

### Details

Creates a multi-panel summary plot of data measured by LISST instrument. The panels are controlled by the `which` argument, as follows.

- `which=1` to `32`, or `which="C1"` to `"C32"` for a time-series graph of the named column (a size class).

- `which=33` or `which="lts"` for a time-series plot of laser transmission sensor.

- `which=34` or `which="voltage"` for a time-series plot of instrument voltage.

- `which=35` or `which="aux"` for a time-series plot of the external auxiliary input.

- `which=36` or `which="lrs"` for a time-series plot of the laser reference sensor.

- `which=37` or `which="pressure"` for a time-series plot of pressure.

- `which=38` or `which="temperature"` for a time-series plot of temperature.

- `which=41` or `which="transmission"` for a time-series plot of transmission, in percent.

- `which=42` or `which="beam"` for a time-series plot of beam-C, in 1/metre.

### Author(s)

Dan Kelley

### See Also

The documentation for `lisst-class` explains the structure of lisst objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    data(lisst)
    plot(lisst)

[Package oce version 0.9-18 Index]